<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class AllowNickname implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        return (preg_match("/[\,]?{$value}/i", config('denied_nickname_list')) ? false : true);
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return '입력하신 닉네임은(는) 예약어로 사용하실 수 없습니다.';
    }
}
